Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153056 - package authconfig-gtk should be named system-config-authentication
Summary: package authconfig-gtk should be named system-config-authentication
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 04:59 UTC by Ricky Ng-Adam
Modified: 2007-12-28 18:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-14 11:56:59 UTC


Attachments (Terms of Use)

Description Ricky Ng-Adam 2005-04-01 04:59:39 UTC
Description of problem:

first, authconfig-gtk not listed as a component in Bugzilla.  But really, this
should be named system-config-authentication as all the others RH config tool. 
This makes install easier and is more consistent.  Why have two executables anyway?

/usr/bin/authconfig-gtk
/usr/bin/system-config-authentication

Version-Release number of selected component (if applicable):

4.6.11-1

How reproducible:

always

Steps to Reproduce:
1. try to find system-config-authentication
2.
3.
  
Actual results:

in authconfig-gtk...

Expected results:

in system-config-authentication

Additional info:

Comment 1 Tomas Mraz 2005-10-14 11:56:59 UTC
I've decided to not change it for now as the benefits are not worth the hassle.
I will reconsider this decision in future.


Comment 2 Ricky Ng-Adam 2005-10-14 17:24:35 UTC
What exactly is the impact of renaming this component? Maybe document it here
for future consideration?

Comment 3 Ricky Ng-Adam 2007-04-28 18:34:07 UTC
Inconsistently named authconfig-gtk still exists in FC7 Test 4. 
system-config-authentication is a symlink to authconfig-gtk.

Comment 4 Ricky Ng-Adam 2007-12-28 18:57:40 UTC
This bug till applies to Fedora 8:

[root@localhost ~]# ls -al `which system-config-authentication`
lrwxrwxrwx 1 root root 39 2007-11-02 13:07
/usr/sbin/system-config-authentication -> /usr/share/authconfig/authconfig-gtk.py



Note You need to log in before you can comment on or make changes to this bug.